unit Unit146;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.TMSFNCTypes, FMX.TMSFNCUtils, FMX.TMSFNCGraphics,
  FMX.TMSFNCGraphicsTypes, FMX.TMSFNCGridCell, FMX.TMSFNCGridOptions, FMX.Controls.Presentation, FMX.StdCtrls,
  FMX.TMSFNCCustomControl, FMX.TMSFNCCustomScrollControl, FMX.TMSFNCGridData, FMX.TMSFNCCustomGrid, FMX.TMSFNCGrid,
  FMX.TMSFNCSpreadGrid;

type
  TForm146 = class(TForm)
    TMSFNCSpreadGrid1: TTMSFNCSpreadGrid;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form146: TForm146;

implementation

{$R *.fmx}

procedure TForm146.Button1Click(Sender: TObject);
begin
  TMSFNCSpreadGrid1.AutoRecalc := False;
  TMSFNCSpreadGrid1.Cells[1, 1] := '1';
  TMSFNCSpreadGrid1.Cells[1, 2] := '=A1';
  TMSFNCSpreadGrid1.AutoRecalc := True;

  // apply circular ref A1 <-> A2
  TMSFNCSpreadGrid1.Cells[1, 1] := '=A2';
  TMSFNCSpreadGrid1.Recalc;
end;

end.
